Name: biopython
Vendor: Callident
Group: Applications/Scientific
Packager: gotero
Version: 1.40b
Release: 1
Summary: Freely available  Python tools for computational molecular biology
Source0: http://www.biopython.org/files/biopython-%{version}.tar.gz
License: Open Source, see included LICENSE file
URL: http://www.biopython.org
BuildRoot: /var/tmp/%{name}-buildroot
Requires: python, mx, reportlab, python-numeric
BuildRequires: python-devel, mx, reportlab, python-numeric

%define pythonver	%(python -V 2>&1 | cut -d ' ' -f2 | cut -d '.' -f-2)

%description
The main biopython releases have lots of functionality, including:
* The ability to parse bioinformatics files into python utilizable data structures, including support for the following formats:
          o Blast output -- both from standalone and WWW Blast
          o Clustalw
          o FASTA
          o GenBank
          o PubMed and Medline
          o Expasy files, like Enzyme, Prodoc and Prosite
          o SCOP, including 'dom' and 'lin' files
          o Rebase
          o UniGene
          o SwissProt 

* Files in the supported formats can be iterated over record by record or indexed and accessed via a Dictionary interface.
* Code to deal with popular on-line bioinformatics destinations such as:
          o NCBI -- Blast, Entrez and PubMed services
          o Expasy -- Prodoc and Prosite entries 

* Interfaces to common bioinformatics programs such as:
          o Standalone Blast from NCBI
          o Clustalw alignment program. 

* A standard sequence class that deals with sequences, ids on sequences, and sequence features.
* Tools for performing common operations on sequences, such as translation, transcription and weight calculations.
* Code to perform classification of data using k Nearest Neighbors, Naive Bayes or Support Vector Machines.
* Code for dealing with alignments, including a standard way to create and deal with substitution matrices.
* Code making it easy to split up parallelizable tasks into separate processes.
* GUI-based programs to do basic sequence manipulations, translations, BLASTing, etc.
* Extensive documentation and help with using the modules, including this file, on-line wiki documentation, the web site, and the mailing list.
* Integration with other languages, including the Bioperl and Biojava projects, using the BioCorba interface standard (available with the biopython-corba module).

We hope this gives you plenty of reasons to download and start using Biopython!

%prep
%setup

%build
export CFLAGS="$RPM_OPT_FLAGS"
export CXXFLAGS="$RPM_OPT_FLAGS"
python ./setup.py build

%install
rm -rf $RPM_BUILD_ROOT
install -m 755 -d $RPM_BUILD_ROOT%{_prefix}
install -m 755 -d $RPM_BUILD_ROOT%{_datadir}/%{name}
install -m 755 -d $RPM_BUILD_ROOT%{_datadir}/doc/%{name}-%{version}
python ./setup.py install --prefix=%{_prefix} --root=$RPM_BUILD_ROOT
cp -r Doc/* $RPM_BUILD_ROOT%{_datadir}/doc/%{name}-%{version}
cp -r Scripts/* $RPM_BUILD_ROOT%{_datadir}/%{name}
cp CONTRIB LICENSE NEWS PKG-INFO README $RPM_BUILD_ROOT%{_datadir}/doc/%{name}-%{version}

%files
%defattr(-, root, root)
%{_datadir}/%{name}/*
%{_datadir}/doc/%{name}-%{version}/*
%{_libdir}/python%{pythonver}/site-packages/Bio/*
%{_libdir}/python%{pythonver}/site-packages/BioSQL/*
%{_libdir}/python%{pythonver}/site-packages/Martel/*

%clean

rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Oct 4 2005 gotero <gotero@linuxprophet.com>
- edited for 1.40

* Tue Nov 23 2004 Bent Terp <Bent.Terp@bea.ki.se>
- Upped to 1.30
* Wed Feb 11 2004 Bent Terp <Bent.Terp@bea.ki.se>
- Initial specfile
- Built
